Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.tablegenerator.TableBorderInfo Class Reference

## Public Member Functions
| TableBorderInfo ()
| Constructor.
| TableBorderInfo (int table_border_style, float line_width, long color, float dash_phase, FloatArray dashes)
| Constructor, with parameters. More...
| TableBorderInfo (TableBorderInfo table_border_info)
| Constructor, with another table border information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
long | getColor ()
| Get the table border color. More...
float | getDash_phase ()
| Get dash phase. More...
FloatArray | getDashes ()
| Get a dash array that represents the dash patterns. More...
float | getLine_width ()
| Get table border line width, in points. More...
int | getTable_border_style ()
| Get table border style. More...
void | set (int table_border_style, float line_width, long color, float dash_phase, FloatArray dashes)
| Set value. More...
void | setColor (long value)
| Set the table border color. More...
void | setDash_phase (float value)
| Set dash phase. More...
void | setDashes (FloatArray value)
| Set a dash array that represents the dash patterns. More...
void | setLine_width (float value)
| Set table border line width, in points. More...
void | setTable_border_style (int value)
| Set table border style. More...

## Static Public Attributes
static final int | e_TableBorderStyleDashed = 1
| Table border style: Dashed.
static final int | e_TableBorderStyleSolid = 0
| Table border style: Solid.

## Detailed Description

This class represents table border information.

## Constructor & Destructor Documentation

## ◆ TableBorderInfo() [1/2]

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.TableBorderInfo | ( | int | table_border_style,
|  | float | line_width,
|  | long | color,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |

Constructor, with parameters.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed .

## ◆ TableBorderInfo() [2/2]

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.TableBorderInfo | ( | TableBorderInfo | table_border_info | ) |

Constructor, with another table border information object.

Parameters

  [in] | table_border_info | Another table border information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.tablegenerator.TableBorderInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getColor()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.getColor | ( |  | ) |

Get the table border color.

Returns
  The table border color. Format: 0xAARRGGBB.

## ◆ getDash_phase()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.getDash_phase | ( |  | ) |

Get dash phase.

Returns
  Dash phase.It should not be negative. Only useful when parameter style</ i> is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.

## ◆ getDashes()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.getDashes | ( |  | ) |

Get a dash array that represents the dash patterns.

Returns
  A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.

## ◆ getLine_width()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.getLine_width | ( |  | ) |

Get table border line width, in points.

Returns
  Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.

## ◆ getTable_border_style()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.getTable_border_style | ( |  | ) |

Get table border style.

Returns
  Table border style. Please refer to values starting from com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.

## ◆ set()

void com.foxit.sdk.addon.tablegenerator.TableBorderInfo.set | ( | int | table_border_style,
|  | float | line_width,
|  | long | color,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |

Set value.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed .

Returns
  None.

## ◆ setColor()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.setColor | ( | long | value | ) |

Set the table border color.

Parameters

  [in] | value | The table border color. Format: 0xAARRGGBB.

Returns
  None.

## ◆ setDash_phase()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.setDash_phase | ( | float | value | ) |

Set dash phase.

Parameters

  [in] | value | Dash phase.It should not be negative. Only useful when parameter style</ i> is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.

Returns
  None.

## ◆ setDashes()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.setDashes | ( | FloatArray | value | ) |

Set a dash array that represents the dash patterns.

Parameters

  [in] | value | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.

Returns
  None.

## ◆ setLine_width()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.setLine_width | ( | float | value | ) |

Set table border line width, in points.

Parameters

  [in] | value | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.

Returns
  None.

## ◆ setTable_border_style()

com.foxit.sdk.addon.tablegenerator.TableBorderInfo.setTable_border_style | ( | int | value | ) |

Set table border style.

Parameters

  [in] | value | Table border style. Please refer to values starting from com.foxit.sdk.addon.tablegenerator.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.

Returns
  None.